#!./haserl
Content-Type: text/html

<?
./header.sh

if [ -f "./data/config" ]; then
  acceac=$(cat "./data/config"|grep "wrt_acceac"|cut -d '=' -f2)
fi

#start script
if [ "$(ps|grep wrtloop.sh|grep -v grep)" != "" ] && [ "$acceac" = "1" ]; then
  echo "<h3 class=\"mark\">WLAN logging is active!</h3>"
else
  echo "<h3 class=\"mark\">WLAN logging is not active!</h3>"
fi
?>

WLAN logging can be activated on the configuration page.
<br/><a href="#bottom">To the end of the page.</a>

<?
if [ -f "./data/assoclog" ]; then
  echo "<h3>Please reload the page to update the view of the log.</h3>"
  echo "<div style=\"text-align: left; margin: 0 auto;\">"
  echo "<pre>$(cat ./data/assoclog)</pre>"
  echo "</div>"
fi
?>

<a name="bottom"></a>

<div align="left">
<p>On this page you can view the output of a sentry-script, which is checking
and logging every 30 seconds the list of wireless clients connected to the router.</p>

<p>As most people won't need this feature, this feature is not active by
default. You can activate this feature on the configuration page.</p>

<p>If you are planning to run this feature over a longer period of time, please
keep an eye on the free memory of your WRT54G(S). Depending on the number of
wireless clients in your WLAN and the number of connects per day, the size of
this log can grow quite fast!</p>
</div>

<?
./footer.sh
?>
