#!./haserl -u
Content-Type: text/html

<?
./header.sh
?>

<h3 class="mark">Use with extreme caution!</h3>

<p>On this page you can create, modify and delete files and NVRAM parameter on your WRT54G(S).
Please first read the according paragraph in the <a href="http://www.hetos.de/bwlog.html">online help</a>
before using this page! Deleting or modifying the wrong NVRAM parameters could seriously screw up your firmware
configuration! All changes will be applied immediately and can't be undone, once you have pressed a button!
This page requires Javascript to be enabled.</p>

<?
content=$(echo "$FORM_content"|tr -d '\015')

if [ "$FORM_filename" = "" ] || [ "$FORM_filename" = "*" ]; then
  FORM_filename="**"
fi

if [ "$FORM_button" = "List directory" ]; then
  if [ -d "$FORM_filename" ]; then
    content=$(ls "$FORM_filename" -la)
  else
    content="Directory ${FORM_filename} does not exist."
  fi
fi

if [ "$FORM_button" = "Load file" ]; then
  if [ -f "$FORM_filename" ]; then
    content=$(cat "$FORM_filename")
  else
    content="File ${FORM_filename} does not exist."
  fi
fi

if [ "$FORM_button" = "Save file" ]; then
  if [ -f "$FORM_filename" ]; then
    : > "$FORM_filename"
  fi
  echo "$content" > "$FORM_filename"
fi

if [ "$FORM_button" = "Delete file" ]; then
  if [ -f "$FORM_filename" ]; then
    rm "$FORM_filename"
  else
    content="File ${FORM_filename} does not exist."
  fi
fi

if [ "$FORM_button" = "Make file executable" ]; then
  if [ -f "$FORM_filename" ]; then
    chmod +x "$FORM_filename"
  else
    content="File ${FORM_filename} does not exist."
  fi
fi

if [ "$FORM_button" = "Find NVRAM parameters" ]; then
    content=$(/usr/sbin/nvram show|grep "${FORM_filename}")
fi

if [ "$FORM_button" = "Load NVRAM parameter" ]; then
    content=$(/usr/sbin/nvram get "${FORM_filename}")
fi

if [ "$FORM_button" = "Save NVRAM parameter" ]; then
  /usr/sbin/nvram set "$FORM_filename"="$content"
  /usr/sbin/nvram commit
fi

if [ "$FORM_button" = "Delete NVRAM parameter" ]; then
  /usr/sbin/nvram unset "$FORM_filename"
  /usr/sbin/nvram commit
fi

echo "<form name=\"form\" action=\"http://$HTTP_HOST$SCRIPT_NAME\" method=\"POST\" >"
?>
<textarea name="content" class="TextBox" cols="110" rows="25" wrap="off"></textarea><br/><br/>
Name of File/NVRAM parameter:
<?
echo "<input type=\"text\" class=\"TextBox\" style=\"width: 30em;\" name=\"filename\" value=\"$FORM_filename\" >"
?>
Always enter the full path to a file (e.g. /tmp/crontab ).<br/><br/>
<input type="submit" class="Button" style="width:14em;" name="button" value="List directory" ></br></br>
<input type="submit" class="Button" style="display: inline; width:14em;" name="button" value="Load file" >
<input type="submit" class="Button" style="display: inline; width:14em;" name="button" value="Make file executable" >
<input type="submit" class="ButtonWarn" style="display: inline; width:14em;" name="button" value="Save file" >
<input type="submit" class="ButtonWarn" style="display: inline; width:14em;" name="button" value="Delete file" ><br/><br/>
<input type="submit" class="Button" style="display: inline; width:14em;" name="button" value="Find NVRAM parameters" >
<input type="submit" class="Button" style="display: inline; width:14em;" name="button" value="Load NVRAM parameter" >
<input type="submit" class="ButtonWarn" style="display: inline; width:14em;" name="button" value="Save NVRAM parameter" >
<input type="submit" class="ButtonWarn" style="display: inline; width:14em;" name="button" value="Delete NVRAM parameter" >
</form>
<hr class="ruler"/>

<h3>File upload</h3>
<?
echo "Free memory: $(cat /proc/meminfo|grep "MemFree"|cut -d ':' -f2)<br/><br/>"
echo "<form method=\"POST\" enctype=\"multipart/form-data\" action=\"http://$HTTP_HOST$SCRIPT_NAME\" >"
?>

File to upload:
<input type="file" class="TextBox" style="width: 15em;" name="upfile"><br>
<br>
<input type="submit" class="Button" value="Upload the file">
</form>

<?
if [ "$FORM_upfile" != "" ]; then
  if [ -f "$FORM_upfile" ] && [ ! -f "/tmp/$FORM_upfile_name" ]; then
    mv "$FORM_upfile" "/tmp/$FORM_upfile_name"
    echo "File successfully uploaded. You can find the file at /tmp/${FORM_upfile_name}."
  fi
  if [ -f "$FORM_upfile" ]; then
    rm "$FORM_upfile"
  fi
fi
?>

<script type="text/javascript">
<?
content=$(echo "$content"|sed 's/\\/\\\\/g'|sed 's/"/\\"/g'|sed 's/$/\\n/g'|tr -d '\012')
echo "document.form.content.value = \"$content\""
?>
</script>

<?
./footer.sh
?>
