#!./haserl
Content-Type: text/html

<?
./header.sh

if [ "$FORM_range" != "" ]; then
  echo "<h3>Please be patient.</h3>"
  echo "<h3>This radio frequency mesurement will take up to 5 minutes to complete!</h3>"
  echo "<h3>During this time your WLAN will be unavailable!</h3>"
  echo "<p>If you need more information about the single types of measurements (basic/beacon, cca, rpi), please have a look at "
  echo "<a href=\"http://www.cisco.com/univercd/cc/td/doc/product/rtrmgmt/cwparent/cw_1105/wlse/2_9/u_gd/radio.htm#wp1617946\">this page</a>.</p>"
  
  echo "<table id=\"tabtr\">"
  for i in $FORM_range
  do
    echo "<tr>"
    
    echo "<td>Channel $i</td>"
    
    /usr/sbin/wl rm_req -d 5000 basic -c "$i"
    sleep 6
    echo "<td><pre>$(/usr/sbin/wl rm_rep)</pre></td>"

    /usr/sbin/wl rm_req -d 5000 cca -c "$i"
    sleep 6
    echo "<td><pre>$(/usr/sbin/wl rm_rep)</pre></td>"
    
    /usr/sbin/wl rm_req -d 5000 rpi -c "$i"
    sleep 6
    echo "<td><pre>$(/usr/sbin/wl rm_rep)</pre></td>"
    
    echo "</tr>"
  done
  echo "</table>"
fi
?>

<p>By pressing the button below, you can start start a special scan mode, that will scan the WLAN channels you have specified in the text box, 
for other WLAN devices and for interference caused by other devices in the 2,4 GHz band. Depending on the number of channels you did enter, 
the scan may take up to 5 minutes. During this time, your WLAN will be unavailable for other tasks. You can sepcifiy a list of channels (1-14) 
to scan, by entering the single channel numbers in the text field, each seperated by a space character.</p>
<p class="mark">This scan will most likely not work on all hardware revisions of the WRT54G or WRT54GS routers! If your router is not 
capable of doing this type of scan, you will only see a bunch of error messages, when starting the scan.</p>

<?
#Start scan button
echo "<form action=\"http://$HTTP_HOST$SCRIPT_NAME\" method=\"POST\" >"
?>

Channels to scan:"
<input type="text" class="TextBox" style="width: 15em;" name="range" value="1 2 3 4 5 6 7 8 9 10 11 12 13 14" >
<input type="submit" class="Button" style="width: 10em;" value="Start scan" >
</form>

<?          
./footer.sh
?>
